/*
 * libleaftag-gtk/tag-dialog.h - A GtkDialog for tagging URIs
 *
 * Copyright (C) 2006 David Trowbridge
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */
#ifndef _LEAFTAG_GTK_TAG_DIALOG_H_
#define _LEAFTAG_GTK_TAG_DIALOG_H_

#include <gtk/gtkdialog.h>

typedef struct _LeaftagGtkTagDialog      LeaftagGtkTagDialog;
typedef struct _LeaftagGtkTagDialogClass LeaftagGtkTagDialogClass;
typedef struct _LeaftagGtkTagDialogPriv  LeaftagGtkTagDialogPriv;

#define LEAFTAG_GTK_TYPE_TAG_DIALOG            (leaftag_gtk_tag_dialog_get_type())
#define LEAFTAG_GTK_TAG_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), LEAFTAG_GTK_TYPE_TAG_DIALOG, LeaftagGtkTagDialog))
#define LEAFTAG_GTK_TAG_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), LEAFTAG_GTK_TYPE_TAG_DIALOG, LeaftagGtkTagDialogClass))
#define LEAFTAG_GTK_IS_TAG_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), LEAFTAG_GTK_TYPE_TAG_DIALOG))
#define LEAFTAG_GTK_IS_TAG_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), LEAFTAG_GTK_TYPE_TAG_DIALOG))
#define LEAFTAG_GTK_TAG_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), LEAFTAG_GTK_TYPE_TAG_DIALOG, LeaftagGtkTagDialogClass))

struct _LeaftagGtkTagDialog
{
	GtkDialog parent;

	LeaftagGtkTagDialogPriv *priv;
};

struct _LeaftagGtkTagDialogClass
{
	GtkDialogClass parent_class;
};

G_BEGIN_DECLS

GType      leaftag_gtk_tag_dialog_get_type (void);
GtkWidget *leaftag_gtk_tag_dialog_new      (void);
void       leaftag_gtk_tag_dialog_set_uris (LeaftagGtkTagDialog *dialog,
                                            GList               *uris);

G_END_DECLS

#endif /* _LEAFTAG_GTK_TAG_DIALOG_H_ */
